
Ryzom - Feature # 1060

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 08/05/2010 Assignee: rti
Updated: 01/08/2011 Due date:
Subject: Implement getWndProc() on Mac OS X
Description

see #1028 Implement GlWndProc for X11

Related issues:
related to Ryzom - Feature # 1156: Handle window close/application quit cleanly Closed 11/03/2010

History
#1 - 10/16/2010 01:54 pm - rti
- Assignee set to rti

#2 - 10/31/2010 05:29 pm - rti
- % Done changed from 0 to 70

#3 - 11/05/2010 02:20 pm - rti
- Status changed from New to Resolved
- Target version changed from Version 0.9.0 to Version 0.8.0
- % Done changed from 70 to 100

There are some more events the cocoa systems sends, which could be handled as well. But there is very little documentation about them...

From the Cocoa doc:

The remaining event types—NSAppKitDefined, NSSystemDefined, and NSApplicationDefined—are less structured, containing only generic
subtype and data fields. Of these three miscellaneous event types, only NSApplicationDefined is of real use to application programs.

I did not find any information what the type and data values mean.

This document reveals some more details, suggesting not to use those events.
http://books.google.de/books?id=AeyX8GqdzPYC&#38;pg=PA611&#38;lpg=PA611&#38;dq=list+kitdefined+systemdefined+nsevent&#38;source=bl&
38;ots=66fGW0WkJt&#38;sig=Jgg0AjFeP-vYdgmrldQc2yCnKqA&#38;hl=de&#38;ei=BwHUTObvKMb5sgbX0YzpBA&#38;sa=X&#38;oi=book_result&#38;ct=result&#38;resnum=1&#38;sqi=2&#38;ved=0CBkQ6AEwAA#v=onepage&#38;q&#38;f=false
38;ct=result&#38;resnum=1&#38;sqi=2&#38;ved=0CBkQ6AEwAA#v=onepage&#38;q&#38;f=false

For this reasons I close this issue now. 
Move, resize and quit events are handled on Mac, but not using glWindowProc().

#4 - 11/05/2010 02:23 pm - rti

Applied in changeset r1108.

#5 - 01/08/2011 06:44 pm - rti
- Status changed from Resolved to Closed
